summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 9e6bf6d..cd79c95 100644
--- a/install.sh
+++ b/install.sh
@@ -18,10 +18,17 @@ then
fi
cd /home/joeac.net
-sudo -u joeac.net git clone https://git.joeac.net/joeac.net.git joeac.net
-sudo ln -s /home/joeac.net/joeac.net /usr/local/lib/joeac.net
+if ! [ -d joeac.net/.git ]
+then
+ sudo -u joeac.net git clone https://git.joeac.net/joeac.net.git joeac.net
+fi
cd joeac.net
+if ! [ -h /usr/local/lib/joeac.net ]
+then
+ sudo ln -s /home/joeac.net/joeac.net /usr/local/lib/joeac.net
+fi
+
if [ -z "${DIGITALOCEAN_TOKEN}" ]
then
read -sp "DIGITALOCEAN_TOKEN: " DIGITALOCEAN_TOKEN